-- my custom locale file - more streamlined than AceLocale and no lib dependency

-- To help with missing translations please go here:
-- http://www.wowace.com/addons/broker_healbot/localization/

local Ld, La = {}, {}
local locale = GAME_LOCALE or GetLocale()

function BHB_locale()
  return setmetatable({},{
    __index = function(t, s) return La[s] or Ld[s] or rawget(t,s) or s end
  })
end

Ld["/bhb"] = "/bhb"
Ld["Broker_HealBot"] = "Broker_HealBot"
Ld["Current Skin"] = "Current Skin"
Ld["HealBot"] = "HealBot"
Ld["Left Click"] = "Left Click"
Ld["Right Click"] = "Right Click"
Ld["Shift Left Click"] = "Shift Left Click"
Ld["Shift Right Click"] = "Shift Right Click"
Ld["debug"] = "debug"
Ld["debug toggled"] = "debug toggled"
Ld["minimap"] = "minimap"
Ld["minimap toggled"] = "minimap toggled"
Ld["reset requested (in combat)"] = "reset requested (in combat)"
Ld["skin change requested (in combat)"] = "skin change requested (in combat)"
Ld["skin set to"] = "skin set to"
Ld["skins"] = "skins"
Ld["to choose HealBot skin"] = "to choose HealBot skin"
Ld["to open HealBot options"] = "to open HealBot options"
Ld["to reset HealBot"] = "to reset HealBot"
Ld["to toggle HealBot"] = "to toggle HealBot"
Ld["toggle requested (in combat)"] = "toggle requested (in combat)"


if locale == "frFR" then do end
-- La["/bhb"] = ""
-- La["Broker_HealBot"] = ""
-- La["Current Skin"] = ""
-- La["HealBot"] = ""
-- La["Left Click"] = ""
-- La["Right Click"] = ""
-- La["Shift Left Click"] = ""
-- La["Shift Right Click"] = ""
-- La["debug"] = ""
-- La["debug toggled"] = ""
-- La["minimap"] = ""
-- La["minimap toggled"] = ""
-- La["reset requested (in combat)"] = ""
-- La["skin change requested (in combat)"] = ""
-- La["skin set to"] = ""
-- La["skins"] = ""
-- La["to choose HealBot skin"] = ""
-- La["to open HealBot options"] = ""
-- La["to reset HealBot"] = ""
-- La["to toggle HealBot"] = ""
-- La["toggle requested (in combat)"] = ""

elseif locale == "deDE" then do end
La["/bhb"] = "/bhb"
La["Broker_HealBot"] = "Broker_HealBot"
La["Current Skin"] = "Aktuelle Skin"
La["HealBot"] = "HealBot"
La["Left Click"] = "Links-Klick"
La["Right Click"] = "Rechts-Klick"
La["Shift Left Click"] = "SHIFT & Links-Klick"
La["Shift Right Click"] = "SHIFT & Rechts-Klick"
La["debug"] = "debug"
La["debug toggled"] = "Debug umgeschaltet (ein/aus)"
La["minimap"] = "minimap"
La["minimap toggled"] = "Minimap umgeschaltet (ein/aus)"
La["reset requested (in combat)"] = "angefordertes zurücksetzen (im Kampf)"
La["skin change requested (in combat)"] = "Skin-Wechsel angefordert (im Kampf)"
La["skin set to"] = "Skin eingestellt auf"
La["skins"] = "Skins"
La["to choose HealBot skin"] = "um eine HealBot-Skin zu wählen"
La["to open HealBot options"] = "um HealBot-Optionen zu öffnen"
La["to reset HealBot"] = "um HealBot zurückzusetzen"
La["to toggle HealBot"] = "um HealBot umzuschalten (ein/aus)"
La["toggle requested (in combat)"] = "angefordertes umschalten (im Kampf)"

elseif locale == "koKR" then do end
-- La["/bhb"] = ""
-- La["Broker_HealBot"] = ""
-- La["Current Skin"] = ""
-- La["HealBot"] = ""
-- La["Left Click"] = ""
-- La["Right Click"] = ""
-- La["Shift Left Click"] = ""
-- La["Shift Right Click"] = ""
-- La["debug"] = ""
-- La["debug toggled"] = ""
-- La["minimap"] = ""
-- La["minimap toggled"] = ""
-- La["reset requested (in combat)"] = ""
-- La["skin change requested (in combat)"] = ""
-- La["skin set to"] = ""
-- La["skins"] = ""
-- La["to choose HealBot skin"] = ""
-- La["to open HealBot options"] = ""
-- La["to reset HealBot"] = ""
-- La["to toggle HealBot"] = ""
-- La["toggle requested (in combat)"] = ""

elseif locale == "esMX" then do end
-- La["/bhb"] = ""
-- La["Broker_HealBot"] = ""
-- La["Current Skin"] = ""
-- La["HealBot"] = ""
-- La["Left Click"] = ""
-- La["Right Click"] = ""
-- La["Shift Left Click"] = ""
-- La["Shift Right Click"] = ""
-- La["debug"] = ""
-- La["debug toggled"] = ""
-- La["minimap"] = ""
-- La["minimap toggled"] = ""
-- La["reset requested (in combat)"] = ""
-- La["skin change requested (in combat)"] = ""
-- La["skin set to"] = ""
-- La["skins"] = ""
-- La["to choose HealBot skin"] = ""
-- La["to open HealBot options"] = ""
-- La["to reset HealBot"] = ""
-- La["to toggle HealBot"] = ""
-- La["toggle requested (in combat)"] = ""

elseif locale == "ruRU" then do end
-- La["/bhb"] = ""
-- La["Broker_HealBot"] = ""
-- La["Current Skin"] = ""
-- La["HealBot"] = ""
-- La["Left Click"] = ""
-- La["Right Click"] = ""
-- La["Shift Left Click"] = ""
-- La["Shift Right Click"] = ""
-- La["debug"] = ""
-- La["debug toggled"] = ""
-- La["minimap"] = ""
-- La["minimap toggled"] = ""
-- La["reset requested (in combat)"] = ""
-- La["skin change requested (in combat)"] = ""
-- La["skin set to"] = ""
-- La["skins"] = ""
-- La["to choose HealBot skin"] = ""
-- La["to open HealBot options"] = ""
-- La["to reset HealBot"] = ""
-- La["to toggle HealBot"] = ""
-- La["toggle requested (in combat)"] = ""

elseif locale == "zhCN" then do end
-- La["/bhb"] = ""
-- La["Broker_HealBot"] = ""
-- La["Current Skin"] = ""
-- La["HealBot"] = ""
-- La["Left Click"] = ""
-- La["Right Click"] = ""
-- La["Shift Left Click"] = ""
-- La["Shift Right Click"] = ""
-- La["debug"] = ""
-- La["debug toggled"] = ""
-- La["minimap"] = ""
-- La["minimap toggled"] = ""
-- La["reset requested (in combat)"] = ""
-- La["skin change requested (in combat)"] = ""
-- La["skin set to"] = ""
-- La["skins"] = ""
-- La["to choose HealBot skin"] = ""
-- La["to open HealBot options"] = ""
-- La["to reset HealBot"] = ""
-- La["to toggle HealBot"] = ""
-- La["toggle requested (in combat)"] = ""

elseif locale == "esES" then do end
-- La["/bhb"] = ""
-- La["Broker_HealBot"] = ""
-- La["Current Skin"] = ""
-- La["HealBot"] = ""
-- La["Left Click"] = ""
-- La["Right Click"] = ""
-- La["Shift Left Click"] = ""
-- La["Shift Right Click"] = ""
-- La["debug"] = ""
-- La["debug toggled"] = ""
-- La["minimap"] = ""
-- La["minimap toggled"] = ""
-- La["reset requested (in combat)"] = ""
-- La["skin change requested (in combat)"] = ""
-- La["skin set to"] = ""
-- La["skins"] = ""
-- La["to choose HealBot skin"] = ""
-- La["to open HealBot options"] = ""
-- La["to reset HealBot"] = ""
-- La["to toggle HealBot"] = ""
-- La["toggle requested (in combat)"] = ""

elseif locale == "zhTW" then do end
La["/bhb"] = "/bhb"
La["Broker_HealBot"] = "Broker_HealBot"
La["Current Skin"] = "目前面板"
La["HealBot"] = "HealBot"
La["Left Click"] = "左鍵點擊"
La["Right Click"] = "右鍵點擊"
La["Shift Left Click"] = "Shift + 左鍵點擊"
La["Shift Right Click"] = "Shift + 右鍵點擊"
La["debug"] = "除錯"
La["debug toggled"] = "除錯切換"
La["minimap"] = "小地圖"
La["minimap toggled"] = "小地圖切換"
La["reset requested (in combat)"] = "重設要求(戰鬥內)"
La["skin change requested (in combat)"] = "面板改變要求(戰鬥內)"
La["skin set to"] = "面板設定"
La["skins"] = "面板"
La["to choose HealBot skin"] = "選擇 HealBot 面板"
La["to open HealBot options"] = "打開 HealBot 選項"
La["to reset HealBot"] = "重設 HealBot"
La["to toggle HealBot"] = "切換 HealBot"
La["toggle requested (in combat)"] = "切換要求(戰鬥內)"

end
